/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<actionsmodel.h>)
#  include <actionsmodel.h>
#endif
#if __has_include(<application.h>)
#  include <application.h>
#endif
#if __has_include(<chaptersmodel.h>)
#  include <chaptersmodel.h>
#endif
#if __has_include(<customcommandsmodel.h>)
#  include <customcommandsmodel.h>
#endif
#if __has_include(<database.h>)
#  include <database.h>
#endif
#if __has_include(<mouseactionsmodel.h>)
#  include <mouseactionsmodel.h>
#endif
#if __has_include(<mpvitem.h>)
#  include <mpvitem.h>
#endif
#if __has_include(<mpvpreview.h>)
#  include <mpvpreview.h>
#endif
#if __has_include(<mpvproperties.h>)
#  include <mpvproperties.h>
#endif
#if __has_include(<recentfilesmodel.h>)
#  include <recentfilesmodel.h>
#endif
#if __has_include(<subtitlesfoldersmodel.h>)
#  include <subtitlesfoldersmodel.h>
#endif
#if __has_include(<tracksmodel.h>)
#  include <tracksmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_haruna()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<ActionsModel>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<Application>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<ChaptersModel>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<CustomCommandsModel>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<Database>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<MouseAction>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<MouseActionsModel>("org.kde.haruna", 1);
    qmlRegisterEnum<MouseActionsModel::Roles>("MouseActionsModel::Roles");
    qmlRegisterEnum<MouseActionsModel::MouseButton>("MouseActionsModel::MouseButton");
    qmlRegisterTypesAndRevisions<MpvItem>("org.kde.haruna", 1);
    qmlRegisterEnum<MpvItem::AsyncIds>("MpvItem::AsyncIds");
    qmlRegisterEnum<MpvItem::PlaybackState>("MpvItem::PlaybackState");
    qmlRegisterEnum<MpvItem::TrackType>("MpvItem::TrackType");
    qmlRegisterTypesAndRevisions<MpvPreview>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<MpvProperties>("org.kde.haruna", 1);
    qmlRegisterTypesAndRevisions<ProxyActionsModel>("org.kde.haruna", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<RecentFilesModel>("org.kde.haruna", 1);
    qmlRegisterEnum<RecentFilesModel::OpenedFrom>("RecentFilesModel::OpenedFrom");
    qmlRegisterTypesAndRevisions<SubtitlesFoldersModel>("org.kde.haruna", 1);
    qmlRegisterEnum<SubtitlesFoldersModel::Roles>("SubtitlesFoldersModel::Roles");
    qmlRegisterTypesAndRevisions<TracksModel>("org.kde.haruna", 1);
    qmlRegisterEnum<TracksModel::Roles>("TracksModel::Roles");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.haruna", 1, 0);
}

static const QQmlModuleRegistration orgkdeharunaRegistration("org.kde.haruna", qml_register_types_org_kde_haruna);
